GDCM: gdcm::network::CompositeMessageFactory Class Reference

GDCM 3.2.10

Static Public Member Functions | List of all members
gdcm::network::CompositeMessageFactory Class Reference

CompositeMessageFactory. More...

`#include <gdcmCompositeMessageFactory.h>`

## Static Public Member Functions
static std::vector< PresentationDataValue > | ConstructCEchoRQ (const ULConnection &inConnection)
static std::vector< PresentationDataValue > | ConstructCFindRQ (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)
static std::vector< PresentationDataValue > | ConstructCMoveRQ (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)
static std::vector< PresentationDataValue > | ConstructCStoreRQ (const ULConnection &inConnection, const File &file, bool writeDataSet=true)
static std::vector< PresentationDataValue > | ConstructCStoreRSP (const DataSet *inDataSet, const BasePDU *inPC)

## Detailed Description

CompositeMessageFactory.

This class constructs PDataPDUs, but that have been specifically constructed for the composite DICOM services (C-Echo, C-Find, C-Get, C-Move, and C-Store). It will also handle parsing the incoming data to determine which of the CompositePDUs the incoming data is, and so therefore allowing the scu to determine what to do with incoming data (if acting as a storescp server, for instance).

## Member Function Documentation

## ◆ ConstructCEchoRQ()

std::vector< PresentationDataValue > gdcm::network::CompositeMessageFactory::ConstructCEchoRQ | ( | const ULConnection & | inConnection | ) |
| static

## ◆ ConstructCFindRQ()

std::vector< PresentationDataValue > gdcm::network::CompositeMessageFactory::ConstructCFindRQ | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery )
| static

## ◆ ConstructCMoveRQ()

std::vector< PresentationDataValue > gdcm::network::CompositeMessageFactory::ConstructCMoveRQ | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery )
| static

## ◆ ConstructCStoreRQ()

std::vector< PresentationDataValue > gdcm::network::CompositeMessageFactory::ConstructCStoreRQ | ( | const ULConnection & | inConnection,
|  | const File & | file,
|  | bool | writeDataSet = true )
| static

## ◆ ConstructCStoreRSP()

std::vector< PresentationDataValue > gdcm::network::CompositeMessageFactory::ConstructCStoreRSP | ( | const DataSet * | inDataSet,
|  | const BasePDU * | inPC )
| static

The documentation for this class was generated from the following file:

- gdcmCompositeMessageFactory.h